BizKitHub
DocsAPI ReferenceAccounting Entity/bff/accounting-entity/update
postAccounting EntityAdmin BFF

/bff/accounting-entity/update

Update accounting entity

Accounting EntitypostBffAccounting-entityUpdate

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424
namestringOptional
Length: 1200
currencystringOptional
Length: 33
contactExternalIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1624
Variant 2
null
accountingYearStartMonthstring | integer | nullOptional
One of 2:
Variant 1
string | integer
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 112
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
changeCountnumberRequired

Response example

application/json
{
  "success": true,
  "changeCount": 0
}

Request example

POST /bff/accounting-entity/update

post
curl -X POST "https://api.bizkithub.com/bff/accounting-entity/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId",
  "name": "example_name",
  "currency": "example_currency"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key